Package com.smartgwt.client.types

# Enum ExportDisplay

java.lang.Object
java.lang.Enum<ExportDisplay>
com.smartgwt.client.types.ExportDisplay

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<ExportDisplay>`, `Constable`

public enum ExportDisplay extends Enum<ExportDisplay> implements ValueEnum
Method to use for displaying the exported data.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DOWNLOAD`
  Show the Save As dialog and download the file
  `RETURN`
  Return the data for further programmatic processing in the browser
  `WINDOW`
  Show the data in a new browser window

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static ExportDisplay`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ExportDisplay[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DOWNLOAD

    public static final ExportDisplay DOWNLOAD
    Show the Save As dialog and download the file

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "download".

  - ### WINDOW

    public static final ExportDisplay WINDOW
    Show the data in a new browser window

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "window".

  - ### RETURN

    public static final ExportDisplay RETURN
    Return the data for further programmatic processing in the browser

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "return".

- ## Method Details

  - ### values

    public static ExportDisplay[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ExportDisplay valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`